Page MenuHomePhabricator

Remove imagescaler cluster (aka 'rendering')
Closed, ResolvedPublic

Description

This is a tracking task for the removal of the imagescaler cluster of MediaWiki app servers, as well as the LVS rendering service-IP load balancer.

TODO: (In no particular order)

  • Migrate users of image scalers:
  • Remove routing for image scalers:
    • Remove rendering director from Varnish.
    • Remove rendering handling from PyBall, LVS, and service IP.
    • Remove imagescaler-rw and imagescaler-ro from conftool/discovery.
    • Un-provision imagescaler hosts in Puppet (use spare role?)
    • Remove all code in Puppet relating to imagescaler roles and classes, including imagescaler_eqiad and imagescaler_codfw monitoring groups.
  • Decommission the hosts and/or reclaim as spare.

Event Timeline

Krinkle created this task.Feb 23 2018, 1:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 1:36 AM
Krinkle updated the task description. (Show Details)Feb 23 2018, 1:43 AM
Krinkle updated the task description. (Show Details)
brion added a subscriber: brion.Feb 24 2018, 8:10 AM

There has been a suggestion to recycle some of these as video scalers (T188075) if they're not needed elsewhere. Will have a sustained need for cpu capacity for a while to transition from VP8 to VP9 video transcodes, saving bandwidth and storage space.

MoritzMuehlenhoff triaged this task as Medium priority.

Change 424552 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove Varnish config for image scaler cluster

https://gerrit.wikimedia.org/r/424552

Change 424553 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove LVS/pybal config for image scaler cluster

https://gerrit.wikimedia.org/r/424553

Change 424594 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete Hiera setting

https://gerrit.wikimedia.org/r/424594

Change 424594 merged by Filippo Giunchedi:
[operations/puppet@production] Remove obsolete imagescaler logic from swift proxy

https://gerrit.wikimedia.org/r/424594

Mentioned in SAL (#wikimedia-operations) [2018-04-16T13:30:54Z] <godog> roll-restart swift-proxy in codfw and eqiad - T188062

Change 424552 merged by Muehlenhoff:
[operations/puppet@production] Remove Varnish config for image scaler cluster

https://gerrit.wikimedia.org/r/424552

Change 424553 merged by Muehlenhoff:
[operations/puppet@production] Remove LVS/pybal config for image scaler cluster

https://gerrit.wikimedia.org/r/424553

Change 427092 had a related patch set uploaded (by Ema; owner: Ema):
[operations/dns@master] Remove rendering

https://gerrit.wikimedia.org/r/427092

Change 427093 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove discovery hiera settings for the image scalers

https://gerrit.wikimedia.org/r/427093

Change 427092 merged by Ema:
[operations/dns@master] Remove imagescaler discovery entries / rendering records

https://gerrit.wikimedia.org/r/427092

Change 425982 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove conftool configuration for image scalers.

https://gerrit.wikimedia.org/r/425982

Change 427093 merged by Muehlenhoff:
[operations/puppet@production] Remove discovery hiera settings for the image scalers.

https://gerrit.wikimedia.org/r/427093

Change 427096 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch former image scalers to role::spare

https://gerrit.wikimedia.org/r/427096

Change 427097 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove Prometheus config for image scalers

https://gerrit.wikimedia.org/r/427097

Change 427096 merged by Muehlenhoff:
[operations/puppet@production] Switch former image scalers to role::spare

https://gerrit.wikimedia.org/r/427096

Change 425982 merged by Muehlenhoff:
[operations/puppet@production] Remove conftool configuration for image scalers.

https://gerrit.wikimedia.org/r/425982

Change 427129 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove more hiera entries related to the new deprecated image scalers

https://gerrit.wikimedia.org/r/427129

Change 427097 merged by Muehlenhoff:
[operations/puppet@production] Remove Prometheus config for image scalers

https://gerrit.wikimedia.org/r/427097

Change 427133 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove image scaler Cumin aliases

https://gerrit.wikimedia.org/r/427133

Change 427133 merged by Muehlenhoff:
[operations/puppet@production] Remove image scaler Cumin aliases

https://gerrit.wikimedia.org/r/427133

Change 427129 merged by Muehlenhoff:
[operations/puppet@production] Remove more hiera entries related to the new deprecated image scalers

https://gerrit.wikimedia.org/r/427129

Change 427361 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Simplify threedtopng::deploy after image scaler removal

https://gerrit.wikimedia.org/r/427361

Change 427361 merged by Muehlenhoff:
[operations/puppet@production] Simplify threedtopng::deploy after image scaler removal

https://gerrit.wikimedia.org/r/427361

MoritzMuehlenhoff closed this task as Resolved.Apr 19 2018, 2:14 PM

All traces of the image scalers are gone. There's some additional puppet refactoring to be done, but unrelated to the removal of the image scalers.